- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QInputContextPlugin Class Reference

Search for all occurrences

## Detailed Description

Definition at line 85 of file qinputcontextplugin.h.

`#include <qinputcontextplugin.h>`

Inheritance diagram for QInputContextPlugin:
[legend]

List of all members.

## Public Member Functions
| QInputContextPlugin (QObject *parent=0)
| ~QInputContextPlugin ()
virtual QStringList | keys () const =0
virtual QInputContext * | create (const QString &key)=0
virtual QStringList | languages (const QString &key)=0
virtual QString | displayName (const QString &key)=0
virtual QString | description (const QString &key)=0

## Constructor & Destructor Documentation

QInputContextPlugin | ( | QObject * | parent = `0` | ) | `[explicit]`

~QInputContextPlugin | ( |  | ) |

## Member Function Documentation

virtual QStringList keys | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implements QFactoryInterface.

virtual QInputContext* create | ( | const QString & | key | ) | `[pure virtual]`

Search for all occurrences

Implements QInputContextFactoryInterface.

virtual QStringList languages | ( | const QString & | key | ) | `[pure virtual]`

Search for all occurrences

Implements QInputContextFactoryInterface.

virtual QString displayName | ( | const QString & | key | ) | `[pure virtual]`

Search for all occurrences

Implements QInputContextFactoryInterface.

virtual QString description | ( | const QString & | key | ) | `[pure virtual]`

Search for all occurrences

Implements QInputContextFactoryInterface.

The documentation for this class was generated from the following file:

- QtGui/qinputcontextplugin.h

QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin
QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin QInputContextPlugin